package router

// |@@| C

import (
	"gardening/sup/helpers"
	"gardening/sup/lib/asserter"
	"gardening/sup/lib/storyteller"
	"testing"
)

func TestExchangeRouter(testing *testing.T) {
	this := &ExchangeRouterTest{}
	ctx := helpers.SetupTest(this, testing)
	this.Storyteller.SetAutoScenario(ctx)

	this.Storyteller.As("User")
	this.Storyteller.Given("something")
	this.Storyteller.When("doing")
	this.Storyteller.Then("happened")

}

type ExchangeRouterTest struct {
	Storyteller *storyteller.Storyteller
	Asserter    *asserter.Asserter
}
